import { jsx as _jsx } from "@stencil/core/jsx-runtime";
import { Host } from "@stencil/core";
export class ColorScheme {
    host;
    theme = "light";
    render() {
        const { theme } = this;
        return (_jsx(Host, { theme: theme, children: _jsx("slot", {}, '214b024aaf99b19a1de88223351f7790683a5f9a') }, '28f5ed42a87d44062714f115fa3a87c9f642c9ff'));
    }
    static get is() { return "dds-color-scheme"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["../reset.css", "color-scheme.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["../reset.css", "color-scheme.css"]
        };
    }
    static get properties() {
        return {
            "theme": {
                "type": "string",
                "mutable": true,
                "complexType": {
                    "original": "\"light\" | \"dark\"",
                    "resolved": "\"dark\" | \"light\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "theme",
                "defaultValue": "\"light\""
            }
        };
    }
    static get elementRef() { return "host"; }
}
